Name:           servefile
Version:        0.4.4
Release:        1%{?dist}
Summary:        Serve files from shell via a small HTTP server

Group:          Applications/Internet
License:        GPLv3
URL:            http://seba-geek.de/stuff/servefile/
Source0:        http://seba-geek.de/proj/servefile/servefile-%{version}.tar.gz

BuildRequires:  python
Requires:       python pyOpenSSL

# Disable debug package to get around error:
# "error: Empty %files file .../BUILD/servefile-0.4.3/debugfiles.list"
%define debug_package %{nil}

%description
Serve files from shell via a small HTTP server.

%prep
%setup -q -n servefile-%{version}

%build
gzip servefile.1

%install
python setup.py install --root="$RPM_BUILD_ROOT"
install -D -m644 servefile.1.gz "$RPM_BUILD_ROOT/usr/share/man/man1/servefile.1.gz"

%files
/usr/bin/servefile
/usr/lib/python2.7/site-packages/servefile-%{version}-py2.7.egg-info
/usr/share/man/man1/servefile.1.gz

%changelog
* Sun Apr 2 2017 Felix Kaiser <felix.kaiser@fxkr.net> 0.4.4-1
- New version. Update highly recommended due to a path traversal vulnerability
* Thu Nov 5 2015 Felix Kaiser <felix.kaiser@fxkr.net> 0.4.3-2
- Disable debug package
* Thu Jan 22 2015 Felix Kaiser <felix.kaiser@fxkr.net> 0.4.3-1
- Initial package
